Bug 1023374 - oo-admin-check-source tool only check one version if there are two versions on a server.
oo-admin-check-source tool only check one version if there are two versions o...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 05:53 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-25 05:53:59 EDT
Description of problem:
When I register the channels of version 1.2 and version 2.0; the tool only checks resource with one version.

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-extras/tree/enterprise-2.0/admin/check-sources

How reproducible:
always

Steps to Reproduce:
1.register rhn channel 
#rhnreg_ks --username=user --password=passwd --serverUrl=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC
#rhn-channel -a -c rhel-x86_64-server-6-ose-1.2-infrastructure -u user -p passwd 
#rhn-channel -a -c rhel-x86_64-server-6-ose-2.0-infrastructure -u user -p passwd 
2.run command  to check resource 
./oo-admin-check-sources.py  -r node  
       
Actual results:
Output:
If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument
Detected installed OpenShift Enterprise version 1.2
Checking if yum-plugin-priorities is installed
The required OpenShift Enterprise repositories are missing: ['jb-ews-2-x86_64-server-6-rpm', 'rhel-x86_64-server-6-ose-1.2-node']
Add the missing repositories with the following commands:
# rhn-channel -a -c jb-ews-2-x86_64-server-6-rpm
# rhn-channel -a -c rhel-x86_64-server-6-ose-1.2-node
Checking channel/repository priorities
Please re-run this tool after making any recommended repairs to this system
there are two versions on the server ,  the tool check the resource with version 1.2

Expected results:
The tool should show version conflict, then exit.

Additional info:
Comment 2 John W. Lamb 2013-10-30 17:41:41 EDT
Addressed in https://github.com/openshift/openshift-extras/pull/127
Comment 3 Ma xiaoqiang 2013-10-31 01:04:39 EDT
check it on the new version
priority:
ose-2.0:rhsm -> ose-2.0:rhn -> ose-1.2:rhsm -> ose-2.0:rhn
Comment 4 Ma xiaoqiang 2013-10-31 02:18:30 EDT
(In reply to Ma xiaoqiang from comment #3)
> check it on the new version
> priority:
> ose-2.0:rhsm -> ose-2.0:rhn -> ose-1.2:rhsm -> ose-2.0:rhn


the priority should be:
ose-2.0:rhsm -> ose-2.0:rhn -> ose-1.2:rhsm -> ose-1.2:rhn

Note You need to log in before you can comment on or make changes to this bug.